cURL
curl --request POST \
--url https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name}/expiry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-bot-id: <x-bot-id>' \
--data '
{
"expiry": 1296000000.5
}
'import requests
url = "https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name}/expiry"
payload = { "expiry": 1296000000.5 }
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-bot-id': '<x-bot-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expiry: 1296000000.5})
};
fetch('https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name}/expiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"name": "<string>",
"payload": {},
"conversationId": "<string>",
"userId": "<string>"
}
}{
"state": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"name": "<string>",
"payload": {},
"conversationId": "<string>",
"userId": "<string>"
}
}setStateExpiry
Updates the State expiry.
POST
/
v1
/
chat
/
states
/
{type}
/
{id}
/
{name}
/
expiry
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Path Parameters
Represents the resource type that the state is related to
Available options:
conversation, user, bot, integration, task, workflow Id of the State which will be either the botId, the userId or the conversationId
Name of the State which is declared inside the bot definition
Body
application/json
State expiry
Was this page helpful?
⌘I